Subject: RCS Change Log
From: [email-masked] (Paul Kinnucan)

14 Mar 1998 14:06:44 -0800
Message-ID: <[email-masked]>
Mime-Version: 1.0
Content-Type: text/plain; charset="us-ascii"
To: [email-masked]
Cc: [email-masked]

I've managed to get the Update Change Log command
on NT/Emacs 19.34.6's Tools->Version Control menu working. This command
creates or updates a change log for a file under RCS
version control, using the change log info from the file's
RCS archive file. For me, getting the Update Change Log command to 
work entailed the following:

1. Obtain a copy of the rcs2log bash script from a Unix
   distribution of Emacs.

2. Install the b18 version of the Cygnus gnuwin32
   Unix for Windows distribution. 
  
   This distribution provides the bash shell and sed and
   sort utilities required to run the rcs2log script.

3. Make the following change line 1788 in the vc.el
   script

   from:

   (eq 0 (apply 'call-process "rcs2log" nil t nil

   to:

   (eq 0 (apply 'call-process "sh.exe" nil t nil "rcs2log"

I believe my vc.el file has other changes made to get RCS
working but I don't remember what they are. Anyway, it whould
be easy for you to find this line and make the change.

- Paul
-
For help on using this list (especially unsubscribing), send a message to
"[email-masked]" with one line of text: "help".